### File

`packages/core/src/lib/components/euim-media-header/euim-media-header.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euimSizeM euimSizeS euimSizeL
selector | `euim-media-header`
standalone | `true`
imports | `CommonModule`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-media-header.component.html`

### Index

###### Properties
Public baseStatesDirective
###### Methods
getCssClasses
###### Inputs
euimNoGradient euimTwoSidesGradient hasBlur
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`
Parameters :
Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### Inputs

euimNoGradient
Type : `boolean`
Default value : `false`

euimTwoSidesGradient
Type : `boolean`
Default value : `false`

hasBlur
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""